Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm trying to run a program via wine. This is a wimax modem (Qubee bd) Green Packet uh-235. But when I click the qubeewcm.exe I receive the following error message:

runtime error(at-1:0): cannot import dll:c\user\apu\temp\is-BCMS3.tmp\sskin.dll.

with this dialog box a message appear and I click "ok" then it does not install anymore.

What to do or how can I fix this problem? - I think the problem is related to the modem driver. - I don't have any modem driver in the above mention program. - Also my wine package is updated and ok, I have just installed winamp.exe from my hard disk.

Please help me if you have any other way to install my qubee wimax modem shuttle uh-235 (produced by greenpacket uh-235) in ubuntu 11.10.

share|improve this question

3 Answers 3

You are confusing what Wine is for, you cannot install drivers from Windows in to you Linux system with Wine.

Support for software modems in Linux is a bit limited and it will be hard to make this "just work".

Wimax comes with an incompatible license and the default Network Manager support is disabled.

You can compile your own version of network-manager to enable wimax and hence network-manager will at least have a chance at recognizing your modem.

For more information modems, then have a look at the following threads and read the information available there

If compiling Network Manager with wimax support does not work for you, or you don't want to do this, then my suggested solution for your case will be to buy a cheap external modem that you can use for the same effect.

share|improve this answer

I am from Bangladesh and using Banglalion wimax in Ubuntu 12.04 LTS. This modem driver is not came from Banglalion company. It was made by few dedicated people. This is done because Manufacturer of banglalion modem have open source code to develop driver for open source base system. Guess what! Qubee does not have it. So if you want to run it in your linux machine you have to contact with Qubee to release driver. You can not install all software with wine as Bruno Pereira says. If you want you can switch back to banglalion which have driver for ubuntu. By the way, i think it's point less to ask Qubee for driver. :)

Go there if you need more info about banglalion.

share|improve this answer
    
Thanks for the information regarding banglalion. I am using qubee UH-235 WiMAX USB Modem. I can not connect it on ubuntu. Can you help me with connecting this modem in ubuntu. –  rashed azad May 12 at 17:00

To get the driver installed for Wimax, open the Terminal (Ctrl+Alt+T) and type in the following commands:

sudo apt-get update 
sudo apt-get install madwimax
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.